> ## Documentation Index
> Fetch the complete documentation index at: https://allhandsai-chore-regenerate-agent-sdk-openapi.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Meta Profile

> Delete a meta-profile (idempotent).

If the deleted meta-profile is the active one, ``active_meta_profile`` is
cleared.



## OpenAPI

````yaml /openapi/agent-sdk.json delete /api/meta-profiles/{name}
openapi: 3.1.0
info:
  description: OpenHands Agent Server - REST/WebSocket interface for OpenHands AI Agent
  title: OpenHands Agent Server
  version: 1.52.0
servers: []
security: []
paths:
  /api/meta-profiles/{name}:
    delete:
      tags:
        - Meta-profiles
      summary: Delete Meta Profile
      description: >-
        Delete a meta-profile (idempotent).


        If the deleted meta-profile is the active one, ``active_meta_profile``
        is

        cleared.
      operationId: delete_meta_profile_api_meta_profiles__name__delete
      parameters:
        - in: path
          name: name
          required: true
          schema:
            maxLength: 64
            minLength: 1
            pattern: ^[A-Za-z0-9][A-Za-z0-9._-]{0,63}$
            title: Name
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MetaProfileMutationResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - APIKeyHeader: []
components:
  schemas:
    MetaProfileMutationResponse:
      properties:
        message:
          title: Message
          type: string
        name:
          title: Name
          type: string
      required:
        - name
        - message
      title: MetaProfileMutationResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    APIKeyHeader:
      in: header
      name: X-Session-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.